Summary: VideoCD (pre-)mastering and ripping tool
Name: vcdimager
Version: 0.7.24
Release: 1.2
License: GPLv2+
Group: Applications/Multimedia
URL: http://www.gnu.org/software/vcdimager/
Source: ftp://ftp.gnu.org/pub/gnu/vcdimager/vcdimager-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig >= 0.9, gcc-c++
BuildRequires: libcdio-devel >= 0.72, libxml2-devel >= 2.3.8
BuildRequires: zlib-devel
# either popt or popt-devel
BuildRequires: %{_includedir}/popt.h
Requires(post): info
Requires(preun): info
Obsoletes: vcdimager-libs <= %{evr}

%lib_package vcdinfo 0
%lib_dependencies

%description
VCDImager allows the creation of VideoCD BIN/CUE CD images from mpeg
files, which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation:
rips mpeg streams from images (or burned VideoCDs),
and shows the information about the VideoCD.

%devel_extra_Requires libcdio-devel, pkgconfig


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
# Sometimes this file gets created... but we don't want it!
%{__rm} -f %{buildroot}%{_infodir}/dir
# Delete .la files.
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

cat > develfiles.list << EOF
%defattr(-,root,root,-)
%doc HACKING 
EOF

%clean
%{__rm} -rf %{buildroot}


%post
for infofile in vcdxrip.info vcdimager.info vcd-info.info; do
    /sbin/install-info %{_infodir}/${infofile} %{_infodir}/dir 2>/dev/null || :
done

/sbin/ldconfig

%postun -p /sbin/ldconfig

%preun
if [ $1 -eq 0 ]; then
    for infofile in vcdxrip.info vcdimager.info vcd-info.info; do
        /sbin/install-info --delete %{_infodir}/${infofile} %{_infodir}/dir \
            2>/dev/null || :
    done
fi


%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog COPYING FAQ NEWS README THANKS TODO
%{_bindir}/*
%{_infodir}/vcdxrip.info*
%{_infodir}/vcdimager.info*
%{_infodir}/vcd-info.info*
#{_infodir}/vcddump.info*
%{_mandir}/man1/*

%changelog
* Sun Feb 26 2012 cs@linux-administrator.com
- re-import
